Name:		logisim
Version:	2.7.1
Release: 	10%{?dist}
License:	GPLv2
Group:		Sciences/Other
URL:		http://www.cburch.com/logisim/index.html
Summary:	Graphical tool for designing and simulating logic circuits

Source0:	https://sourceforge.net/projects/circuit/files/2.7.x/%{version}/%{name}-generic-%{version}.jar
Source1:	%{name}
Source2:	%{name}-icon-128.png
Source3:	%{name}.desktop

BuildArchitectures: noarch

Requires:	jre >= 1.5.0

%description
Graphical tool for designing and simulating logic circuits.
Logisim is an educational tool for designing and simulating digital logic
circuits. With its simple toolbar interface and simulation of circuits as
you build them, it is simple enough to facilitate learning the most basic
concepts related to logic circuits. With the capacity to build larger circuits
from smaller subcircuits, and to draw bundles of wires with a single mouse
drag, Logisim can be used (and is used) to design and simulate entire CPUs
for educational purposes.

%prep
#nothing

%build
#nothing

%install
mkdir -p %{buildroot}/%{_javadir}/%{name}
cp -f %{SOURCE0} %{buildroot}/%{_javadir}/%{name}
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -f %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps
mkdir -p %{buildroot}/%{_datadir}/applications
cp -f %{SOURCE3} %{buildroot}/%{_datadir}/applications

%files
%{_javadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}-icon-128.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Mon Feb 07 2022 Thomas Batten <stenstorpmc@gmail.com> 2.7.1-10.fc34
- re-fomatted for Fedora build

* Tue Feb 11 2020 umeabot <umeabot> 2.7.1-10.mga8
+ Revision: 1490728
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.7.1-9.mga7
+ Revision: 1262424
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 2.7.1-8.mga6
+ Revision: 951682
- Mageia 6 Mass Rebuild

* Wed Jan 07 2015 alexl <alexl> 2.7.1-7.mga5
+ Revision: 808989
- updated desktop file (added GenericName, corrected Icon)

* Wed Oct 15 2014 umeabot <umeabot> 2.7.1-6.mga5
+ Revision: 749554
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.7.1-5.mga5
+ Revision: 681988
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 alexl <alexl> 2.7.1-4.mga5
+ Revision: 659952
- added GenericName in desktop file
- translated desktop file

* Mon Jul 21 2014 alexl <alexl> 2.7.1-3.mga5
+ Revision: 654981
- new url
- enabled AutoReqProv

* Sun Apr 13 2014 alexl <alexl> 2.7.1-2.mga5
+ Revision: 613836
- used javadir instead of datadir (policy)

* Thu Apr 10 2014 alexl <alexl> 2.7.1-1.mga5
+ Revision: 613190
- imported package logisim

